MemoArguments

The MemoArguments object is an instance object, and is used as a parameter to the invoke() method when invoking the Memo application.


Supported Platform(s)

- BlackBerry OS 5.0+
- Ripple Emulator
View Supported Platform Table
APIBB5.0BB6.0BB7.0PB1.0PB2.0BB10Ripple
blackberry.invoke.MemoArguments Y Y Y      Y
view Y Y Y      Y
VIEW_NEW Y Y Y      Y
VIEW_EDIT Y Y Y      Y

Configuration Document Settings

To use all of the API described for this object, you must ensure the following settings are in your configuration document:

You must declare the feature element(s) below in your configuration document:

Feature IDBB5.0BB6.0BB7.0PB1.0PB2.0BB10Ripple
<feature id="blackberry.invoke" /> Y Y Y      Y
<feature id="blackberry.invoke.MemoArguments" /> Y Y Y      Y
<feature id="blackberry.pim.Memo" /> Y Y Y      Y

Permission Elements (PlayBook and BlackBerry 10+)
This API does not require a <permission> element to be declared in the configuration document of your BlackBerry WebWorks Application.


Properties

Number view

Constants

Number VIEW_NEW
Number VIEW_EDIT

Constructors

blackberry.invoke.MemoArguments ([memo : blackberry.pim.Memo])

The MemoArguments object must be created as an instance using the new keyword.


Supported Platforms
 - BlackBerry OS 5.0+
 - Ripple Emulator


Parameters
memo Memo to view in MemoPad application.

Code Example:
<script type="text/javascript">  
  var memo = new blackberry.pim.Memo();
  memo.title = 'Oranges I like';
  memo.note = 'Sunkist';
  
  var args = new blackberry.invoke.MemoArguments(memo);
  args.view = 0; // New
   
  blackberry.invoke.invoke(blackberry.invoke.APP_MEMOPAD, args);  // Memo Pad
</script>

Properties

Number view


Value that specifies what kind of view you want to view the memo in MemoPad application.


Supported Platforms
 - BlackBerry OS 5.0+
 - Ripple Emulator

Constants

static Number VIEW_NEW


New View


Supported Platforms
 - BlackBerry OS 5.0+
 - Ripple Emulator

static Number VIEW_EDIT


Edit View


Supported Platforms
 - BlackBerry OS 5.0+
 - Ripple Emulator

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 11 2013 14:51:08 GMT-0500 (EST)